#include <balancer/kernel/cookie/cookie.h>

extern "C" int LLVMFuzzerTestOneInput(const ui8* const wireData, const size_t wireSize) {
    using namespace NSrvKernel;
    volatile ui32 nameCnt = 0;
    volatile ui32 valCnt = 0;

    EveryCookieKV([&](TNameValue nv) {
        nameCnt += nv.Name.GetOrElse({}).size();
        valCnt += nv.Value.size();
    }, TStringBuf((const char*)wireData, wireSize));

    return 0;
}
